---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs301t004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F7E0, symBinAddr: 0x61F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51720, symBinAddr: 0x8130, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51B10, symBinAddr: 0x8520, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52AB0, symBinAddr: 0x94C0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52AC0, symBinAddr: 0x94D0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F470, symBinAddr: 0x60D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F474, symBinAddr: 0x60D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F478, symBinAddr: 0x60D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F5D0, symBinAddr: 0x60E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F688, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F68C, symBinAddr: 0x619C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F690, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F694, symBinAddr: 0x61A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F698, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F6A0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F6B8, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F6C0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F6C8, symBinAddr: 0x61D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F6D0, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F6D8, symBinAddr: 0x61E8, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9C0, symSize: 0x80 }
  - { offsetInCU: 0x91A2, offset: 0x91A2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x910, symSize: 0xB0 }
  - { offsetInCU: 0x91FD, offset: 0x91FD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x810, symSize: 0x100 }
  - { offsetInCU: 0x9490, offset: 0x9490, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA40, symSize: 0xC0 }
  - { offsetInCU: 0x94E2, offset: 0x94E2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB00, symSize: 0x220 }
  - { offsetInCU: 0x96C7, offset: 0x96C7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD20, symSize: 0xA0 }
  - { offsetInCU: 0x977A, offset: 0x977A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xDC0, symSize: 0x110 }
  - { offsetInCU: 0x9870, offset: 0x9870, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xED0, symSize: 0x150 }
  - { offsetInCU: 0x99A1, offset: 0x99A1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1020, symSize: 0x30 }
  - { offsetInCU: 0x9A62, offset: 0x9A62, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1050, symSize: 0x150 }
  - { offsetInCU: 0x9C5A, offset: 0x9C5A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x11A0, symSize: 0x160 }
  - { offsetInCU: 0x9F1A, offset: 0x9F1A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1300, symSize: 0x4A0 }
  - { offsetInCU: 0xA1B3, offset: 0xA1B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x17A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA3CE, offset: 0xA3CE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1950, symSize: 0xA0 }
  - { offsetInCU: 0xA4F5, offset: 0xA4F5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x19F0, symSize: 0x2D0 }
  - { offsetInCU: 0xA7D7, offset: 0xA7D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1CC0, symSize: 0x20 }
  - { offsetInCU: 0xA80E, offset: 0xA80E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1CE0, symSize: 0x20 }
  - { offsetInCU: 0xA845, offset: 0xA845, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1D00, symSize: 0x20 }
  - { offsetInCU: 0xA9B4, offset: 0xA9B4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1D20, symSize: 0x1A0 }
  - { offsetInCU: 0xACDA, offset: 0xACDA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1EC0, symSize: 0x80 }
  - { offsetInCU: 0xADA3, offset: 0xADA3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1F40, symSize: 0x6A0 }
  - { offsetInCU: 0xB938, offset: 0xB938, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FC0, symBinAddr: 0x3090, symSize: 0xB0 }
  - { offsetInCU: 0xB9AF, offset: 0xB9AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x25E0, symSize: 0x70 }
  - { offsetInCU: 0xBAA3, offset: 0xBAA3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2650, symSize: 0xA0 }
  - { offsetInCU: 0xBBAE, offset: 0xBBAE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x26F0, symSize: 0x40 }
  - { offsetInCU: 0xBCA4, offset: 0xBCA4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2730, symSize: 0x2B0 }
  - { offsetInCU: 0xC04A, offset: 0xC04A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x29E0, symSize: 0xC0 }
  - { offsetInCU: 0xC190, offset: 0xC190, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2AA0, symSize: 0x10 }
  - { offsetInCU: 0xC252, offset: 0xC252, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2AB0, symSize: 0x220 }
  - { offsetInCU: 0xC54F, offset: 0xC54F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2CD0, symSize: 0x10 }
  - { offsetInCU: 0xC5AC, offset: 0xC5AC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2CE0, symSize: 0x230 }
  - { offsetInCU: 0xC8EE, offset: 0xC8EE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E40, symBinAddr: 0x2F10, symSize: 0x10 }
  - { offsetInCU: 0xC9C3, offset: 0xC9C3, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9E50, symBinAddr: 0x2F20, symSize: 0x170 }
  - { offsetInCU: 0xCC04, offset: 0xCC04, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA070, symBinAddr: 0x3140, symSize: 0x36A }
...
